#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           plasmatube
Version: 23.04.3
Release:        %mkrel %{rel}
Summary:        YouTube client
License:        GPLv3+ and CC0 and CC-BY-SA
Group:          Graphical desktop/KDE
Url:            https://apps.kde.org/plasmatube/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(mpv)

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Widgets)

BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Kirigami2)

Requires:       kirigami
Requires:       yt-dlp

%description
PlasmaTube allows you to watch YouTube videos on your
phone or desktop using a elegant user interface integrated
with the rest of Plasma.

%files -f %{name}.lang
%license LICENSES/*
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_iconsdir}/hicolor/*/apps/org.kde.%{name}.*
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml

#------------------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Sun Mar 03 2024 daviddavid <daviddavid> 23.04.3-1.mga9
+ Revision: 2047375
- New version 23.04.3

* Sun Jun 11 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1961690
- initial package plasmatube

